Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc
Class OAuthRedirectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.oauth.OAuthException
                  org.eclipse.lyo.client.oslc.OAuthRedirectException

All Implemented Interfaces:
  Serializable

    public class OAuthRedirectException

extends net.oauth.OAuthException

See Also:
  Serialized Form

Constructor Summary
`OAuthRedirectException(String redirectURL, net.oauth.OAuthAccessor accessor)`

Method Summary
`net.oauth.OAuthAccessor` | `getAccessor()`
`String` | `getRedirectURL()`
`void` | `setAccessor(net.oauth.OAuthAccessor accessor)`
`void` | `setRedirectURL(String redirectURL)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OAuthRedirectException

    public OAuthRedirectException(String redirectURL,
                                  net.oauth.OAuthAccessor accessor)

Parameters:
  `redirectURL` -
  `requestToken` -
  `tokenSecret` -

Method Detail

### getRedirectURL

    public String getRedirectURL()

  Returns:
    the redirectURL

### setRedirectURL

    public void setRedirectURL(String redirectURL)

  Parameters:
    `redirectURL` - the redirectURL to set

### getAccessor

    public net.oauth.OAuthAccessor getAccessor()

  Returns:
    the accessor

### setAccessor

    public void setAccessor(net.oauth.OAuthAccessor accessor)

  Parameters:
    `accessor` - the accessor to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.